<div class="wrap">
    <div class="white-header">
        <img width="200" src="<?php echo plugins_url("/".FIFTHINSIGHT_PLUGIN_URI."/assets/images/logofifthinsight.svg") ?>" alt="Logo Fifth Insight" class="fifthinsightlogo">
    </div>
    <div class="container mt-5">
        <div class="d-flex justify-content-between">
            <div>
                <p class="large">Hi <strong>Dave</strong>, You are viewing full report!</p>
            </div>
            <div>
	            <?php include (plugin_dir_path(dirname(__FILE__)). "includes/topbar.php"); ?>
            </div>
        </div>

	    <?php include (plugin_dir_path(dirname(__FILE__)). "includes/header.php"); ?>

        <div class="d-flex justify-content-between card-style p-3 mt-5">
            <div>
                <div class="color-primary"><?php echo $latestData[0]->url ?></div>
                <div class="text-secondary ft-small"><?php echo $latestData[0]->created ?></div>
            </div>
            <div>
		        <?php include (plugin_dir_path(dirname(__FILE__)). "includes/desktop.php")?>
            </div>
        </div>

        <div class="accordian">
            <div class="p-3 card-style mt-5">
                <div class="d-flex justify-content-between">
                    <p class="xlarge">Performance</p>
                    <p class="xlarge">Score - <?php echo $performance->score*100 ?></p>
                </div>
                <div class="progress">
                    <div class="progress-bar bg-success" style="width: <?php echo $performance->score*100 ?>%"></div>
                </div>
                <div class="mt-2"><a data-toggle="collapse" href="#collapseOne" class="color-primary ft-small more-details">More details</a></div>

                <div id="collapseOne" class="collapse mt-3">
                    <ul class="list-group">

                        <?php echo fifth_insight_check_performance_params($performance, "metrics", "Metrics", "metrics") ?>
                        <div id="metrics" class="collapse">
                            <table class="table table-responsive">
                                <thead>
                                <tr class="text-center text-uppercase">
                                    <th>Title</th>
                                    <th>Score</th>
                                    <th>Statistics</th>
                                </tr>
                                </thead>
                                <tbody>
			                    <?php echo fifth_insight_display_table($performance->audits[0], "metrics", true) ?>
                                </tbody>
                            </table>
                        </div>

                        <?php echo fifth_insight_check_performance_params($performance, "diagnostics", "Diagnostics", "diagnostics") ?>


                        <div id="diagnostics" class="collapse">
                            <table class="table table-responsive">
                                <thead>
                                <tr class="text-center text-uppercase">
                                    <th>Title</th>
                                    <th>Statistics</th>
                                </tr>
                                </thead>
                                <tbody>
			                    <?php echo fifth_insight_display_table($performance->audits[0], "diagnostics") ?>
                                </tbody>
                            </table>
                        </div>



                        <?php echo fifth_insight_check_performance_params($performance, "opportunities", "Opportunities", "opportunities") ?>

                        <div id="opportunities" class="collapse">
                            <table class="table table-responsive">
                                <thead>
                                <tr class="text-center text-uppercase">
                                    <th>Title</th>
                                    <th>Statistics</th>
                                </tr>
                                </thead>
                                <tbody>
			                    <?php echo fifth_insight_display_table($performance->audits[0], "opportunities") ?>
                                </tbody>
                            </table>
                        </div>


                    </ul>
                </div>
            </div>

            <div class="p-3 card-style mt-5">
                <div class="d-flex justify-content-between">
                    <p class="xlarge">Accessibility</p>
                    <p class="xlarge">Score - <?php echo $accessibility->score*100 ?></p>
                </div>
                <div class="progress">
                    <div class="progress-bar bg-success" style="width: <?php echo $accessibility->score*100 ?>%"></div>
                </div>

                <?php echo fifth_insight_check_audit_exists($accessibility, "collapseTwo"); ?>

                <div id="collapseTwo" class="collapse mt-3">
                    <table class="table table-responsive">
                        <thead>
                        <tr class="text-center text-uppercase">
                            <th>Title</th>
                            <th>Statistics</th>
                        </tr>
                        </thead>
                        <tbody>

                        <?php
                            echo fifth_insight_display_table($accessibility, "audits");
                        ?>

                        </tbody>
                    </table>
                </div>

            </div>

            <div class="p-3 card-style mt-5">
                <div class="d-flex justify-content-between">
                    <p class="xlarge">Best practises</p>
                    <p class="xlarge">Score - <?php echo $best_practises->score*100 ?></p>
                </div>
                <div class="progress">
                    <div class="progress-bar bg-success" style="width: <?php echo $best_practises->score*100 ?>%"></div>
                </div>

                <?php echo fifth_insight_check_audit_exists($best_practises, "collapseThree")?>

                <div id="collapseThree" class="collapse mt-3">
                    <table class="table table-responsive">
                        <thead>
                        <tr class="text-center text-uppercase">
                            <th>Title</th>
                            <th>Statistics</th>
                        </tr>
                        </thead>
                        <tbody>

			            <?php
			            echo fifth_insight_display_table($best_practises, "audits");
			            ?>

                        </tbody>
                    </table>
                </div>

            </div>

            <div class="p-3 card-style mt-5">
                <div class="d-flex justify-content-between">
                    <p class="xlarge">SEO</p>
                    <p class="xlarge">Score - <?php echo $seo->score*100; ?></p>
                </div>
                <div class="progress">
                    <div class="progress-bar bg-success" style="width:<?php echo $seo->score*100 ?>%"></div>
                </div>

                <?php echo fifth_insight_check_audit_exists($seo, "collapseFour") ?>

                <div id="collapseFour" class="collapse mt-3">
                    <table class="table table-responsive">
                        <thead>
                        <tr class="text-center text-uppercase">
                            <th>Title</th>
                            <th>Statistics</th>
                        </tr>
                        </thead>
                        <tbody>

			            <?php
			            echo fifth_insight_display_table($best_practises, "audits");
			            ?>

                        </tbody>
                    </table>
                </div>

            </div>
        </div>

        <div class="card-style mt-5">
            <table class="table ">
                <thead>
                <tr class="text-center text-uppercase">
                    <th>Page title</th>
                    <th>Option</th>
                    <th>Compare</th>
                </tr>
                </thead>
                <tbody>


                <?php

                    foreach ($pages as $page){

                        ?>

                        <tr class="text-center">
                            <td><?php echo $page->post_title; ?></td>
                            <td><a class="analyze-page" data-url="<?php echo get_page_link($page) ?>" href="#" id="<?php echo $page->ID ?>">Analyze</a></td>
                            <td><a href="<?php echo admin_url('admin.php?page=performance-comparison&&id='.$page->ID) ?>">Compare</a></td>
                        </tr>

                        <?php

                    }

                ?>

                </tbody>
            </table>
        </div>

	    <?php include (plugin_dir_path(dirname(__FILE__)). "includes/footer.php"); ?>


    </div>
</div>


<?php include plugin_dir_path(dirname(__FILE__)). "includes/modal.php" ?>

<script>


    jQuery(document).ready(function ($) {

        var progress = $(".modal-progress");

        progress.css("width", "0%");
        progress.html("0%");

        $(".analyze-page").click(function(){

            var id = $(this).attr("id");
            var url = $(this).attr("data-url");

            $("#myModal").modal("show");
            //var api = $(".get-api-key").val();

            var pageSpeedUrl = "https://www.googleapis.com/pagespeedonline/v5/runPagespeed?url=" + url;
            var init = 0;
            var jump = 100/8;
            var category = ["accessibility", "best-practices", "performance", "seo"];
            var strategy = ["desktop", "mobile"];

            var analysisData = [];
            var completedRequest = 0;
            var start = 0;
            var end = 0;

            start = new Date().getTime();

            for(var i=0; i<category.length; i++){
                for(var j=0; j<strategy.length; j++){

                    $.ajax({
                        url: pageSpeedUrl + "&category=" + category[i] + "&strategy=" + strategy[j],
                        method: "GET",
                        data: {},
                        success: function (data) {

                            console.log(data);



                            var request = {};
                            request["url"] = data.lighthouseResult.requestedUrl;
                            request["category"] = data.lighthouseResult.configSettings.onlyCategories[0];
                            var temp = request.category;
                            request["strategy"] = data.lighthouseResult.configSettings.emulatedFormFactor;
                            request["score"] = data.lighthouseResult.categories[temp].score;


                            var audits = [];
                            var lighthouseArray = data.lighthouseResult.audits;

                            if( request["category"] === "performance" ){

                                // Performance metrics

                                var metrics = [];
                                var diagnostics = [];
                                var opportunities = [];

                                for(var temp1 in lighthouseArray){

                                    var metric = {};
                                    var diagnostic = {};
                                    var opportunity = {};

                                    if(lighthouseArray[temp1].score === null || lighthouseArray[temp1].score === 1){
                                        continue;
                                    }

                                    if(lighthouseArray[temp1].details === undefined){
                                        metric["title"] = lighthouseArray[temp1].title;
                                        metric["score"] = lighthouseArray[temp1].displayValue;
                                        metric["description"] = lighthouseArray[temp1].description;
                                        metrics.push(metric);
                                    }else{
                                        if(lighthouseArray[temp1].details.type === "table"){
                                            diagnostic["title"] = lighthouseArray[temp1].title;
                                            diagnostic["description"] = lighthouseArray[temp1].description;
                                            diagnostics.push(diagnostic);
                                        }else if(lighthouseArray[temp1].details.type === "opportunity"){
                                            opportunity["title"] = lighthouseArray[temp1].title;
                                            opportunity["description"] = lighthouseArray[temp1].description;
                                            opportunities.push(opportunity);
                                        }
                                    }

                                }

                                audits.push({
                                    "metrics": metrics,
                                    "diagnostics": diagnostics,
                                    "opportunities": opportunities
                                });

                            }else{

                                //Other parameters

                                for(var temp1 in lighthouseArray){

                                    var obj = {};

                                    //console.log(lighthouseArray[temp1].score);
                                    if(lighthouseArray[temp1].score !== null && lighthouseArray[temp1].score !== 1){
                                        obj.title = lighthouseArray[temp1].title;
                                        obj.description = lighthouseArray[temp1].description;
                                        audits.push(obj);

                                    }

                                }

                            }


                            request["audits"] = audits;
                            analysisData.push(request);
                            completedRequest++;
                            init += jump;
                            progress.css("width", init + "%");
                            progress.html(init + "%");



                            if(init === 100) {

                                //console.log(analysisData);

                                $.ajax({
                                    url :  pages_obj.ajax_url,
                                    method: "POST",
                                    data: { action: "fifth_insight_get_pages", data: analysisData },
                                    success: function(output){
                                        console.log(output);
                                        end = new Date().getTime();
                                        console.log(end-start);
                                        window.location.replace("<?php echo admin_url() . 'admin.php?page=performance-full-report&&id=' ?>" + id);
                                    }

                                });

                            }

                        }

                    });

                }
            }



        });

    });





</script>