<div class="wrap">
    <div class="white-header">
        <img width="200" src="<?php echo plugins_url("/".FIFTHINSIGHT_PLUGIN_URI."/assets/images/logofifthinsight.svg") ?>" alt="Logo Fifth Insight" class="fifthinsightlogo">
    </div>
    <div class="container mt-5">
        <div class="d-flex justify-content-between">
            <div>
                <p class="large">Hi <strong>Dave</strong>, Happy Analytics!</p>
            </div>
            <div>
	            <?php include (plugin_dir_path(dirname(__FILE__)). "includes/topbar.php"); ?>
            </div>
        </div>

	    <?php include (plugin_dir_path(dirname(__FILE__)). "includes/header.php"); ?>

        <div class="row mt-5">
            <div class="col-md-6 col-lg-6">
                <p class="text-center xlarge font-weight-bold color-primary">Desktop</p>
                <div class="row">
                    <div class="col-md-12 col-lg-12">
                        <div class="circle average" id="circle-desk-avg">
                            <strong></strong>
                        </div>
                        <p class="text-center"><b>Overall score</b></p>
                    </div>

                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-desk-acc">
                            <strong></strong>
                        </div>
                        <p class="text-center"><b>Accessibility</b></p>

                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-desk-perf">
                            <strong></strong>
                        </div>
                        <p class="text-center"><b>Performance</b></p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-desk-seo">
                            <strong></strong>
                        </div>
                        <p class="text-center"><b>SEO</b></p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-desk-prac">
                            <strong></strong>
                        </div>
                        <p class="text-center"><b>Best practises</b></p>
                    </div>
                </div>
            </div>

            <div class="col-md-6 col-lg-6">
                <p class="text-center xlarge font-weight-bold color-primary">Mobile</p>
                <div class="row">
                    <div class="col-md-12 col-lg-12">
                        <div class="circle average" id="circle-mob-avg">
                            <strong></strong>
                        </div>
                        <p class="text-center"><b>Overall score</b></p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-mob-acc">
                            <strong></strong>
                        </div>
                        <p class="text-center"><b>Accessibility</b></p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-mob-perf">
                            <strong></strong>
                        </div>
                        <p class="text-center"><b>Performance</b></p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-mob-seo">
                            <strong></strong>
                        </div>
                        <p class="text-center"><b>SEO</b></p>
                    </div>
                    <div class="col-md-6 col-sm-6 p-3">
                        <div class="circle around" id="circle-mob-prac">
                            <strong></strong>
                        </div>
                        <p class="text-center"><b>Best practises</b></p>
                    </div>
                </div>
            </div>
        </div>

	    <?php include (plugin_dir_path(dirname(__FILE__)). "includes/footer.php"); ?>



    </div>
</div>
<script>

    jQuery(document).ready(function($){

        function checkValue(value){
            if(value <= 0.2){
                return '#E82E3D';
            } else if(value <= 0.4){
                return '#FF9900';
            } else if(value <= 0.6) {
                return '#FFD400';
            } else if(value <= 0.8) {
                return '#6ACE00';
            } else {
                return '#00AF14';
            }
        }

        function drawCircle(id, sizeCircle, val){
            $(id).circleProgress({
                value: val,
                size: sizeCircle,
                fill: {
                    color: checkValue(val)
                }
            });
        }


        var progressBarOptions = {
            startAngle: -1.55,
            size: 100,
            value: 0.75,
            fill: {
                color: checkValue(0.75)
            }
        }

        $('.circle').circleProgress(progressBarOptions).on('circle-animation-progress', function(event, progress, stepValue) {
            stepValue = Math.floor(stepValue*100);
            $(this).find('strong').text(String(stepValue.toFixed(2)).replace(".00", ""));
        });

        drawCircle("#circle-mob-acc", 100, <?php echo $result[1]->accessibility ?>);
        drawCircle("#circle-mob-perf", 100, <?php echo $result[1]->performance ?>);
        drawCircle("#circle-mob-avg", 170.5, <?php echo $result[1]->avg ?>);
        drawCircle("#circle-mob-seo", 100, <?php echo $result[1]->seo ?>);
        drawCircle("#circle-mob-prac", 100, <?php echo $result[1]->prac ?>);

        drawCircle("#circle-desk-acc", 100, <?php echo $result[0]->accessibility ?>);
        drawCircle("#circle-desk-perf", 100, <?php echo $result[0]->performance ?>);
        drawCircle("#circle-desk-avg", 170.5, <?php echo $result[0]->avg ?>);
        drawCircle("#circle-desk-seo", 100, <?php echo $result[0]->seo ?>);
        drawCircle("#circle-desk-prac", 100, <?php echo $result[0]->prac ?>);

    });

</script>