<script>

    jQuery(document).ready(function ($) {

        var progress = $(".progress-bar");

        progress.css("width", "10%");
        progress.html("10%");


        $(".start-analysis").click(function(){

            $("#myModal").modal("show");
            var api = $(".get-api-key").val();
            var pageSpeedUrl = "https://www.googleapis.com/pagespeedonline/v5/runPagespeed?url=<?php echo home_url(); ?>&key=<?php echo $result->api_key ?>";
            var init = 10;
            var jump = 90/8;
            var category = ["accessibility", "best-practices", "performance", "seo"];
            var strategy = ["desktop", "mobile"];

            var analysisData = [];
            var completedRequest = 0;
            var start = 0;
            var end = 0;

            start = new Date().getTime();

            for(var i=0; i<category.length; i++){
                for(var j=0; j<strategy.length; j++){

                    $.ajax({
                        url: pageSpeedUrl + "&category=" + category[i] + "&strategy=" + strategy[j],
                        method: "GET",
                        data: {},
                        success: function (data) {

                            console.log(data);



                            var request = {};
                            request["url"] = data.lighthouseResult.requestedUrl;
                            request["category"] = data.lighthouseResult.configSettings.onlyCategories[0];
                            var temp = request.category;
                            request["strategy"] = data.lighthouseResult.configSettings.emulatedFormFactor;
                            request["score"] = data.lighthouseResult.categories[temp].score;


                            var audits = [];
                            var lighthouseArray = data.lighthouseResult.audits;

                            if( request["category"] === "performance" ){

                                // Performance metrics

                                var metrics = [];
                                var diagnostics = [];
                                var opportunities = [];

                                for(var temp1 in lighthouseArray){

                                    var metric = {};
                                    var diagnostic = {};
                                    var opportunity = {};

                                    if(lighthouseArray[temp1].score === null || lighthouseArray[temp1].score === 1){
                                        continue;
                                    }

                                    if(lighthouseArray[temp1].details === undefined){
                                        metric["title"] = lighthouseArray[temp1].title;
                                        metric["score"] = lighthouseArray[temp1].displayValue;
                                        metric["description"] = lighthouseArray[temp1].description;
                                        metrics.push(metric);
                                    }else{
                                        if(lighthouseArray[temp1].details.type === "table"){
                                            diagnostic["title"] = lighthouseArray[temp1].title;
                                            diagnostic["description"] = lighthouseArray[temp1].description;
                                            diagnostics.push(diagnostic);
                                        }else if(lighthouseArray[temp1].details.type === "opportunity"){
                                            opportunity["title"] = lighthouseArray[temp1].title;
                                            opportunity["description"] = lighthouseArray[temp1].description;
                                            opportunities.push(opportunity);
                                        }
                                    }

                                }

                                audits.push({
                                    "metrics": metrics,
                                    "diagnostics": diagnostics,
                                    "opportunities": opportunities
                                });

                            }else{

                                //Other parameters

                                for(var temp1 in lighthouseArray){

                                    var obj = {};

                                    //console.log(lighthouseArray[temp1].score);
                                    if(lighthouseArray[temp1].score !== null && lighthouseArray[temp1].score !== 1){
                                        obj.title = lighthouseArray[temp1].title;
                                        obj.description = lighthouseArray[temp1].description;
                                        audits.push(obj);

                                    }

                                }

                            }


                            request["audits"] = audits;
                            analysisData.push(request);
                            completedRequest++;
                            init += jump;
                            progress.css("width", init + "%");
                            progress.html(init + "%");



                            if(init === 100) {

                                //console.log(analysisData);

                                $.ajax({
                                    url :  pages_obj.ajax_url,
                                    method: "POST",
                                    data: { action: "fifth_insight_get_pages", data: analysisData },
                                    success: function(output){
                                        console.log(output);
                                        end = new Date().getTime();
                                        console.log(end-start);
                                        window.location.replace("<?php echo admin_url('admin.php?page=performance-report') ?>");
                                    }
                                });

                            }

                        }

                    });

                }
            }




        });

    });




</script>