<?php
/*
 * Plugin Name: Fifth Insight
 * Description: A simple plugin that measures website performance, SEO, accessibility and generate reports.
 * Version: 2.0
 * Author: Catalyst Brains
 * Author URI: https://catalystbrains.com
 * Text Domain: fifth_insight
 * License: Creative Commons Attribution-NoDerivatives 4.0 International License.
 * License URI: http://creativecommons.org/licenses/by-nd/4.0/
 *
 * Attribution - You must give appropriate credit, provide a link to the license, and indicate if changes were made. You may do so in any reasonable manner, but not in any way that suggests the licensor endorses you or your use.
 * NoDerivatives - If you remix, transform, or build upon the material, you may not distribute the modified material.
 */

if(!function_exists("add_action")){
	echo "Not allowed";
	exit();
}

//Setup
define ("FIFTHINSIGHT_PLUGIN_URL", __FILE__);
$arr = explode(DIRECTORY_SEPARATOR, dirname(FIFTHINSIGHT_PLUGIN_URL));
define ("FIFTHINSIGHT_PLUGIN_URI", $arr[sizeof($arr)-1]);

if(ini_get("max_input_vars") == 1000){
	ini_set("max_input_vars", "2000");
}


//Includes
include ("includes/hooks.php");

//Hooks
register_activation_hook(__FILE__, "fifth_insight_activate_plugin");
//register_deactivation_hook(__FILE__, "fifth_insight_deactivate_plugin");
register_uninstall_hook(__FILE__, "fifth_insight_deactivate_plugin");
add_action("admin_init", "fifth_insight_admin_init");
add_action("admin_menu", "fifth_insight_admin_menu");
add_action("admin_enqueue_scripts", "fifth_insight_enqueue_scripts");
add_action("admin_post_fifth_insight_api_save", "fifth_insight_api_save");
add_action("admin_post_fifth_insight_api_update", "fifth_insight_api_update");
add_action("admin_post_fifth_insight_feedback", "fifth_insight_feedback");
add_action("admin_post_fifth_insight_contact", "fifth_insight_contact");
add_action("wp_ajax_fifth_insight_get_pages", "fifth_insight_get_pages");

//Shortcodes

